classification
Title: Packaging step-by-step tutorial
Type: enhancement Stage: resolved
Components: Distutils2, Documentation Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: docs@python, eric.araujo, josip, l0nwlf, meatballhat, tarek, tshepang, zubin71
Priority: normal Keywords:

Created on 2010-03-28 14:47 by tarek, last changed 2014-03-13 02:36 by eric.araujo. This issue is now closed.

Messages (2)
msg101865 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-28 14:47
Write a tutorial to describe the cycle of a Python project that is built, released and deployed, using Distutils2. This project will need to be complete enough to cover most use cases.

This tutorial will be part of the Distutils2 documentation and will be also added in the hitchhicker guide.
msg138335 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-14 15:47
I think the official documentation is less opinionated than the Hitchhiker’s Guide.
History
Date User Action Args
2014-03-13 02:36:57eric.araujosetstatus: open -> closed
resolution: out of date
stage: resolved
2012-02-06 18:20:25tshepangsetnosy: + tshepang
2011-06-14 15:47:27eric.araujosettitle: step-by-step tutorial -> Packaging step-by-step tutorial
messages: + msg138335
versions: + Python 3.3, - 3rd party
2010-09-30 02:02:20eric.araujosetnosy: + docs@python
2010-09-30 02:01:56eric.araujosetnosy: tarek, eric.araujo, meatballhat, zubin71, l0nwlf, josip
components: + Documentation
versions: + 3rd party, - Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.2, Python 3.3
2010-05-01 01:39:26meatballhatsetnosy: + meatballhat
2010-04-01 15:53:09josipsetnosy: + josip
2010-03-29 17:34:54zubin71setnosy: + zubin71
2010-03-28 18:53:38l0nwlfsetnosy: + l0nwlf
2010-03-28 14:49:03eric.araujosetnosy: + eric.araujo
2010-03-28 14:47:15tarekcreate